
import java.util.ArrayList;

public class Firma
{
    private String naziv, adresa;
    private ArrayList<Projekat> projekti;
    
    public Firma(String naziv, String adresa){
        this.naziv = naziv;
        this.adresa = adresa;
        projekti = new ArrayList<>();
    }
    // --------------------
    // 4
    public void dodaj(Projekat p) { projekti.add(p); }
    // 5
    public void mojiProjekti(){
        for(Projekat p : projekti){
            System.out.println(p.info());
        }
    }
    // 6
    public Projekat najduziProjekat(){
    
        Projekat najduzi = null; int najduzeTrajanje = 0;
        for(Projekat p : projekti) {
            int tp = p.dajTrajanje();
            if(tp > najduzeTrajanje){
                najduzi = p;
                najduzeTrajanje = tp;
            }
        }
        return najduzi;
    }
    // 7
    public double[] vrednostiProjekata(){
        
        double[] vrednosti = new double[projekti.size()];
        int i = 0;
        for(Projekat p : projekti){
            vrednosti[i] = p.dajVrednost();
            i++;
        }
        return vrednosti;
    }
    
    public ArrayList<Double> vrednostiProjekata2(){
        
        ArrayList<Double> vrednosti = new ArrayList<>();
        for(Projekat p : projekti){
            vrednosti.add(p.dajVrednost());
        }
        return vrednosti;
    }
    // 8
    public ArrayList<Projekat> projektiKojiNemajuUImenu(String s)  {
    
        ArrayList<Projekat> pLista = new ArrayList<>();
        for(Projekat p : projekti){
            if(!p.dajIme().contains(s)){
                pLista.add(p);
            }
        }
        return pLista;
    }
    // 9
    public double prosecnoTrajanje(){
    
        double pt = 0;
        for(Projekat p : projekti){
            pt = pt + p.dajTrajanje();
        }
        return pt / projekti.size();
    }
    // 10
    public void skloniIspodProsecne(){
    
        double ptp = prosecnoTrajanje();
        for(Projekat p : projekti) {
            if(p.dajTrajanje() < ptp) {
                projekti.remove(p);
            }
        }
    }
    
    
    
    
}
